Summary:	XML Graphics Commons
Name:		xmlgraphics-commons
Version:	1.5
Release:	3
Epoch:		0
Group:		Development/Java
License:	Apache License
URL:		http://xmlgraphics.apache.org/
Source0:	http://apache.osuosl.org/xmlgraphics/commons/source/xmlgraphics-commons-1.5-src.tar.gz
BuildArch:	noarch
BuildRequires:	java-rpmbuild >= 0:1.6
BuildRequires:	ant >= 0:1.6
BuildRequires:	ant-junit >= 0:1.6
BuildRequires:	junit
BuildRequires:	jakarta-commons-io >= 0:1.1
BuildRequires:	jakarta-commons-logging
BuildRequires:	java-1.7.0-openjdk-devel
Requires:	jakarta-commons-io >= 0:1.1
Requires:	jakarta-commons-logging

%description
Apache XML Graphics Commons is a library that consists of 
several reusable components used by Apache Batik and 
Apache FOP. Many of these components can easily be used 
separately outside the domains of SVG and XSL-FO. You will 
find components such as a PDF library, an RTF library, 
Graphics2D implementations that let you generate PDF & 
PostScript files, and much more.

%package javadoc
Summary:	Javadoc for %{name}

Group:		Development/Java

%description javadoc
%{summary}.

%prep
%setup -q
rm `find . -name "*.jar"`

%build
export JAVA_HOME=%{java_home}
export ANT_HOME=/usr/share/ant
export CLASSPATH=$CLASSPATH:/usr/share/java/commons-logging.jar
export OPT_JAR_LIST="ant/ant-junit junit"
pushd lib
ln -sf $(build-classpath commons-io) .
popd
%ant package javadocs

%install
install -Dpm 0644 build/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr build/javadocs/* %{buildroot}%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

%files
%defattr(0644,root,root,0755)
%doc LICENSE NOTICE README
%{_javadir}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}

%changelog
* Tue Jul 08 2014 Denis Silakov <denis.silakov@rosalab.ru> 0:1.5-3
+ Revision: 9651a08
- Rebuild with java 7


